/**   @file  mkmod.h
 *   @brief  ABI interface shared between module class and application
 *
 *  @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *
 *  @internal
 *       Created:  15/06/2024
 *      Revision:  none
 * Last modified:  2024-07-31 09:51
 *      Compiler:  gcc
 *  Organization:  Cerbelle.net
 *     Copyright:  Copyright (c) 2024, François Cerbelle
 *
 *  This source code is released for free distribution under the terms of the
 *  GNU General Public License as published by the Free Software Foundation.
 */

#ifndef __MKMOD_H__
#define __MKMOD_H__

#include "module.h"
# include <stddef.h> /* NULL */

typedef struct mkmod_api_s {
    void (*mkmod_function)();
} mkmod_api_t;

#endif /* __MKMOD_H__ */
